Permission Shares API
List permission shares owned by an account.
| Path | Method | Protected |
|---|---|---|
/v1/accounts/{account_id}/permission-shares | GET | Yes |
Example Response JSON
{
"values": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"targetAccountId": "8fd1f7fe-04c3-44ae-9b47-4bf514a70f89",
"name": "string",
"currentCardId": "083e093b-09ef-415f-b474-4991debca8da",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}
]
}Create a new permission share owned by an account.
| Path | Method | Protected |
|---|---|---|
/v1/accounts/{account_id}/permission-shares | POST | Yes |
Example Request JSON
{
"targetAccountId": "8fd1f7fe-04c3-44ae-9b47-4bf514a70f89",
"name": "string",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"targetAccountId": "8fd1f7fe-04c3-44ae-9b47-4bf514a70f89",
"name": "string",
"currentCardId": "083e093b-09ef-415f-b474-4991debca8da",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}List permission shares targeting an account.
| Path | Method | Protected |
|---|---|---|
/v1/accounts/{account_id}/received-permission-shares | GET | Yes |
Example Response JSON
{
"values": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"targetAccountId": "8fd1f7fe-04c3-44ae-9b47-4bf514a70f89",
"name": "string",
"currentCardId": "083e093b-09ef-415f-b474-4991debca8da",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}
]
}Get permission share by id.
| Path | Method | Protected |
|---|---|---|
/v1/permission-shares/{permission_share_id} | GET | Yes |
Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"targetAccountId": "8fd1f7fe-04c3-44ae-9b47-4bf514a70f89",
"name": "string",
"currentCardId": "083e093b-09ef-415f-b474-4991debca8da",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}Delete permission share.
| Path | Method | Protected |
|---|---|---|
/v1/permission-shares/{permission_share_id} | DELETE | Yes |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| current_revision | integer | Yes | - |
Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"targetAccountId": "8fd1f7fe-04c3-44ae-9b47-4bf514a70f89",
"name": "string",
"currentCardId": "083e093b-09ef-415f-b474-4991debca8da",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}Update permission share data.
| Path | Method | Protected |
|---|---|---|
/v1/permission-shares/{permission_share_id} | PATCH | Yes |
Example Request JSON
{
"currentRevision": 0,
"name": "string",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"targetAccountId": "8fd1f7fe-04c3-44ae-9b47-4bf514a70f89",
"name": "string",
"currentCardId": "083e093b-09ef-415f-b474-4991debca8da",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}Get permission share by owner account and name.
| Path | Method | Protected |
|---|---|---|
/v1/accounts/{account_id}/permission-shares/{name} | GET | Yes |
Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"targetAccountId": "8fd1f7fe-04c3-44ae-9b47-4bf514a70f89",
"name": "string",
"currentCardId": "083e093b-09ef-415f-b474-4991debca8da",
"data": {
"lowerPositive": [
"string"
],
"lowerNegative": [
"string"
],
"upperPositive": [
"string"
],
"upperNegative": [
"string"
]
}
}Permission Shares API Errors
| Status Code | Description | Body |
|---|---|---|
| 400 | Invalid request, returning with a list of issues detected in the request | {"code":"string","errors":["string"]} |
| 401 | Unauthorized request | {"code":"string","error":"string"} |
| 403 | Forbidden Request | {"code":"string","error":"string"} |
| 404 | Entity not found | {"code":"string","error":"string"} |
| 409 | {"code":"string","error":"string"} | |
| 422 | Limits of the plan exceeded | {"code":"string","error":"string"} |
| 500 | Internal server error | {"code":"string","error":"string"} |